unit test of controllerconfig can not pass

Bug #1788534 reported by Ran An on 2018-08-23
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
StarlingX
Medium
Ran An

Bug Description

need fix dependency path in controllerconfig tox.ini to re-enable pep8/py27 test

Ran An (an.ran) on 2018-08-23
Changed in starlingx:
assignee: nobody → Ran An (an.ran)
Ghada Khalil (gkhalil) wrote :

Shouldn't this be covered under: https://storyboard.openstack.org/#!/story/2003359?

It certainly could be. Do we have a case here of left hand / right hand?

Right now this is our only open bug in Launchpad. I'd be inclined to let it stay there so we can start getting hands on experience with LP.

       brucej

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Ghada Khalil
Sent: Thursday, August 23, 2018 1:08 PM
To: Jones, Bruce E <email address hidden>
Subject: [Bug 1788534] Re: unit test of controllerconfig can not pass

Shouldn't this be covered under:
https://storyboard.openstack.org/#!/story/2003359?

--
You received this bug notification because you are subscribed to StarlingX.
Matching subscriptions: StarlingX
https://bugs.launchpad.net/bugs/1788534

Title:
  unit test of controllerconfig can not pass

Status in StarlingX:
  New

Bug description:
  need fix dependency path in cgts-client tox.ini to re-enable pep8/py27
  test

To manage notifications about this bug go to:
https://bugs.launchpad.net/starlingx/+bug/1788534/+subscriptions

Ran An (an.ran) on 2018-08-24
description: updated

Fix proposed to branch: master
Review: https://review.openstack.org/595922

Changed in starlingx:
status: New → In Progress

It should be a new task under https://storyboard.openstack.org/#!/story/2003360, while I thought all new task should be reported to Launchpad, so ~

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Ghada Khalil
Sent: Friday, August 24, 2018 4:08 AM
To: An, Ran1 <email address hidden>
Subject: [Bug 1788534] Re: unit test of controllerconfig can not pass

Shouldn't this be covered under:
https://storyboard.openstack.org/#!/story/2003359?

--
You received this bug notification because you are subscribed to the bug report.
https://bugs.launchpad.net/bugs/1788534

Title:
  unit test of controllerconfig can not pass

Status in StarlingX:
  New

Bug description:
  need fix dependency path in cgts-client tox.ini to re-enable pep8/py27
  test

To manage notifications about this bug go to:
https://bugs.launchpad.net/starlingx/+bug/1788534/+subscriptions

Ghada Khalil (gkhalil) wrote :

Only bugs should be reported in launchpad (as per Bruce's email). All other work items (features, enhancements, cross-team initiatives such as zuul, devstack, etc) should continue to be tracked in Storyboard.

For this item, please go ahead and use launchpad, but any work related zuul should be covered under the existing stories in storyboard:
https://storyboard.openstack.org/#!/story/list?status=active&project_group_id=86&tags=stx.zuul

tags: added: stx.config
tags: added: stx.2018.10
Ghada Khalil (gkhalil) on 2018-08-24
Changed in starlingx:
importance: Undecided → Medium
Ghada Khalil (gkhalil) on 2018-08-27
tags: added: stx.zuul

Reviewed: https://review.openstack.org/595922
Committed: https://git.openstack.org/cgit/openstack/stx-config/commit/?id=fec59578bccc836fd94c549d5c1d6ac0eeaba5af
Submitter: Zuul
Branch: master

commit fec59578bccc836fd94c549d5c1d6ac0eeaba5af
Author: SidneyAn <email address hidden>
Date: Fri Aug 24 08:46:22 2018 +0800

    fix dependency path and requirement to enable tox

      fix dependency path in controllerconfig tox.ini and
    add pylint version 1.9.3 to suite python version 2.7

    Change-Id: Iab4fa545802cd1f650d750e86bc1f582ae6f4fc1
    Closes-Bug: #1788534

Changed in starlingx:
status: In Progress → Fix Released
Ken Young (kenyis) on 2019-04-06
tags: added: stx.1.0
removed: stx.2018.10
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers